@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

:root {
    --bg1: #151515;
    --bg2: #292626;
    --bg3: #393939;
    --bg4: #1b1a1a;
    --wt1: #ffffff;
    --wt2: #e9e9e9;
    --mc: #e8b923;
    --sc: #4A90E2;
    --shadow: rgba(0, 0, 0, 0.7);
}

body {
    line-height: 1.6;
    font-size: 16px;
    background-color: var(--bg1);
    color: var(--wt1);
    overflow-x: hidden;
    font-family: 'Poppins', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    padding: 0 20px;
}

* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
}

section {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.profile-container {
    width: 100%;
    max-width: 500px;
    padding: 40px;
    background: var(--bg4);
    border: 1px solid var(--bg3);
    border-radius: 20px;
    text-align: center;
    box-shadow: 0px 10px 30px var(--shadow);
    transition: transform 0.3s ease-in-out;
}

.profile-container:hover {
    transform: scale(1.05);
}

img {
    border-radius: 50%;
    height: 150px;
    width: 150px;
    margin-bottom: 20px;
    object-fit: cover;
    border: 4px solid var(--sc);
}

.introduction1 {
    font-size: 2.5rem;
    color: var(--mc);
    margin-bottom: 10px;
    font-weight: 600;
}

.email {
    font-size: 1.2rem;
    margin: 15px 0;
    color: var(--wt2);
}

button {
    margin-top: 20px;
    width: 100%;
    height: 45px;
    border: none;
    border-radius: 40px;
    cursor: pointer;
    font-size: 1.1em;
    font-weight: 600;
    transition:  0.3s ease-in-out;
}


#logout-btn {
    background: var(--mc);
    color: var(--bg1);
}


#continue-btn {
    background: var(--sc);
    color: var(--bg1);
    margin-bottom: 15px;
}

button:hover {
    transform: scale(1.05);
}

a {
    display: block;
    margin-bottom: 15px;
}
